org.apache.commons.ssl.asn1

## Class IndefiniteLengthInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.commons.ssl.asn1.LimitedInputStream
    - - org.apache.commons.ssl.asn1.IndefiniteLengthInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

     class IndefiniteLengthInputStream
    extends LimitedInputStream

### Field Summary

Fields
`private int` `_b1`
`private int` `_b2`
`private boolean` `_eofOn00`
`private boolean` `_eofReached`

### Fields inherited from class org.apache.commons.ssl.asn1.LimitedInputStream

`_in`

### Constructor Summary

Constructors
Constructor and Description
`IndefiniteLengthInputStream(java.io.InputStream in)`

### Method Summary

Methods
`(package private) boolean` `checkForEof()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`(package private) void` `setEofOn00(boolean eofOn00)`

### Methods inherited from class org.apache.commons.ssl.asn1.LimitedInputStream

`getUnderlyingStream, setParentEofDetect`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _b1

    private int _b1

#### _b2

    private int _b2

#### _eofReached

    private boolean _eofReached

#### _eofOn00

    private boolean _eofOn00

### Constructor Detail

#### IndefiniteLengthInputStream

    IndefiniteLengthInputStream(java.io.InputStream in)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### setEofOn00

    void setEofOn00(boolean eofOn00)

#### checkForEof

    boolean checkForEof()

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`